//
//  Database Engine Wrapper
//  Copyright  1994, 1995
//  B. W. Bush
//  All rights reserved
//
//  $Revision: 2.0 $
//  $RCSfile: DEW.H $
//  $Date: 1995/07/14 16:15:34 $


#ifndef BWB_DEW
#define BWB_DEW


// Standard C++ library definitions.

#include <cstring.h>
#include <iostream.h>


// Standard C library definitions.

#include <stdio.h>


// Date and Time definitions.

#ifdef __BCPLUSPLUS__
    #include <classlib\date.h>
    #include <classlib\time.h>
#else
    #include <extra\datetime.h>
    typedef TDEWDate TDate;
    typedef TDEWTime TTime;
#endif


// Borland database engine definitions.

#include <idapi.h>


// Supplementary type definitions.

typedef const BOOL far* pcBOOL;
typedef const BYTE far* pcBYTE;
typedef const CHAR far* pcCHAR;
typedef const CRTblDesc far* pcCRTblDesc;
typedef const DBIEnv far* pcDBIEnv;
typedef const FLDDesc far* pcFLDDesc;
typedef const IDXDesc far* pcIDXDesc;
typedef const RECProps far* pcRECProps;
typedef const RINTDesc far* pcRINTDesc;
typedef const SECDesc far* pcSECDesc;
typedef const SORTOrder far* pcSORTOrder;
typedef const VCHKDesc far* pcVCHKDesc;
typedef const UINT16 far* pcUINT16;


// Make sure the class prefix is defined if it has not already been defined.

#ifndef DEWCLASSPREFIX
    #define DEWCLASSPREFIX
#endif // DEWCLASSPREFIX


// Forward declarations of classes.

class DEWCLASSPREFIX MDEWObject;

class DEWCLASSPREFIX TDEWBlob;
class DEWCLASSPREFIX TDEWBookmark;
class DEWCLASSPREFIX TDEWBytes;
class DEWCLASSPREFIX TDEWCursor;
class DEWCLASSPREFIX TDEWDatabase;
class DEWCLASSPREFIX TDEWEngine;
class DEWCLASSPREFIX TDEWException;
class DEWCLASSPREFIX TDEWFilter;
class DEWCLASSPREFIX TDEWKey;
class DEWCLASSPREFIX TDEWRecord;
class DEWCLASSPREFIX TDEWSession;
class DEWCLASSPREFIX TDEWStatement;
class DEWCLASSPREFIX TDEWTransaction;


// Class declarations.

#include <exceptn.h>
#include <object.h>
#include <statemnt.h>
#include <transact.h>
#include <filter.h>
#include <blob.h>
#include <cursor.h>
#include <record.h>
#include <database.h>
#include <engine.h>
#include <session.h>
#include <struct.h>
#include <bytes.h>


#endif // BWB_DEW
