//
//  Database Engine Wrapper
//  Copyright  1994, 1995
//  B. W. Bush
//  All rights reserved
//
//  $Revision: 2.0 $
//  $RCSfile: FILTER.H $
//  $Date: 1995/07/14 16:15:34 $


#ifndef BWB_DEW_FILTER
#define BWB_DEW_FILTER


// TDEWFilter class.

class DEWCLASSPREFIX TDEWFilter
  : public MDEWObject
{
  public:

    TDEWFilter();
    TDEWFilter(TDEWCursor&);
    TDEWFilter(TDEWCursor&, const pCANExpr);
    TDEWFilter(const TDEWFilter&);
    ~TDEWFilter();

    TDEWFilter& operator=(const TDEWFilter&);

    void Activate();
    void Close();
    hDBICur CursorHandle();
    void Deactivate();
    void GetInfo(FILTERInfo&, const UINT16 = 0, const UINT16 = 0) const;
    hDBIFilter Handle() const {return fHFilter;}
    void Open(TDEWCursor&, const pCANExpr);
    void Open(const pCANExpr);

  private:

    void Clone(const TDEWFilter&);

    hDBICur fHCursor;
    hDBIFilter fHFilter;
};


#endif // BWB_DEW_FILTER