//
//  Database Engine Wrapper
//  Copyright  1994, 1995
//  B. W. Bush
//  All rights reserved
//
//  $Revision: 2.0 $
//  $RCSfile: SESSION.H $
//  $Date: 1995/07/14 16:15:34 $


#ifndef BWB_DEW_SESSION
#define BWB_DEW_SESSION


// TDEWSession class.

class DEWCLASSPREFIX TDEWSession
  : public MDEWObject
{
  public:

    TDEWSession(const pcCHAR = NULL, const pcCHAR = NULL);
    TDEWSession(TDEWEngine&);
    ~TDEWSession();

    void Close();
    hDBISes Handle() const {return fHSession;}
    void Open(const pcCHAR = NULL, const pcCHAR = NULL);
    void Open(TDEWEngine&);

  private:

    TDEWSession(const TDEWSession&) : fHSession(NULL) {}

    TDEWSession& operator=(const TDEWSession&) {if (IsOpen()) Close(); return *this;}

    hDBISes fHSession;
};


#endif // BWB_DEW_SESSION
