//
//  Database Engine Wrapper
//  Copyright  1994, 1995
//  B. W. Bush
//  All rights reserved
//
//  $Revision: 2.0 $
//  $RCSfile: BYTES.H $
//  $Date: 1995/07/14 16:13:26 $


#ifndef BWB_DEW_BYTES
#define BWB_DEW_BYTES


// TDEWBytes class.

class DEWCLASSPREFIX TDEWBytes
{
  public:

    ~TDEWBytes();

    operator pBYTE();
    operator pcBYTE() const;

  protected:

    TDEWBytes(const UINT16);

  private:

    TDEWBytes(const TDEWBytes&) {}
    TDEWBytes& operator=(const TDEWBytes&) {return *this;}

    pBYTE fBuffer;
};


// TDEWBookMark class.

class DEWCLASSPREFIX TDEWBookMark
  : public TDEWBytes
{
  public:

    TDEWBookMark(const TDEWCursor&);
};


// TDEWKey class.

class DEWCLASSPREFIX TDEWKey
  : public TDEWBytes
{
  public:

    TDEWKey(const TDEWCursor&);
};


#endif // BWB_DEW_BYTES
