//
//  Database Engine Wrapper
//  Copyright  1994, 1995
//  B. W. Bush
//  All rights reserved
//
//  $Revision: 2.0 $
//  $RCSfile: BYTES.CPP $
//  $Date: 1995/07/14 16:13:42 $


// Definitions.

#include <dew.h>        // database engine wrapper


// TDEWBytes constructor.

TDEWBytes::TDEWBytes(const UINT16 size)
  : fBuffer(0)
{
    fBuffer = new BYTE[size];
}


// TDEWBytes destructor.

TDEWBytes::~TDEWBytes()
{
    delete fBuffer;
};


// TDEWBytes casts.

TDEWBytes::operator pBYTE()
{
    return fBuffer;
}

TDEWBytes::operator pcBYTE() const
{
    return fBuffer;
}


// TDEWBookmark constructor.

TDEWBookMark::TDEWBookMark(const TDEWCursor& cursor)
  : TDEWBytes(cursor.CursorProps().iBookMarkSize)
{
}


// TDEWKey constructor.

TDEWKey::TDEWKey(const TDEWCursor& cursor)
  : TDEWBytes(cursor.CursorProps().iKeySize)
{
}

